/*
 * Copyright 2012 Steven Gribble.
 *    [with contributions from cse333 students.]
 *
 *  This file is part of the UW CSE333 project sequence (333proj).
 *
 *  333proj is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  333proj is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with 333proj.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdint.h>
#include <stdio.h>
#include <string>

#include "./HTTPClient.h"

#include "./test_suite.h"
#include "./test_httpclient.h"

namespace hw2 {

TEST_F(Test_HttpClient, TESTHttpClientSimple) {
  // Fetch the test file from the departmental server, verify its contents.
  std::string testhost = "www.cs.washington.edu";
  std::string testpath =
    "/education/courses/cse333/12sp/assignments/hw2/testfile.html";
  std::string content = "";
  bool res = HTTPGet(testhost, 80, testpath, &content);
  ASSERT_TRUE(res);
  ASSERT_EQ("This file is fetched by test_httpclient.cc "
            "during the unit tests.",
            content);
  HW2Addpoints(10);

  // Verify that connecting to a bad port fails.
  res = HTTPGet(testhost, 8482, testpath, &content);
  ASSERT_FALSE(res);
  HW2Addpoints(5);
}

}  // namespace hw2
