/*
 * Copyright 2012 Steven Gribble.
 *    [with contributions from cse333 students.]
 *
 *  This file is part of the UW CSE333 project sequence (333proj).
 *
 *  333proj is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  333proj is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with 333proj.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdint.h>
#include <stdio.h>
#include <string>

#include "./SocketClient.h"

#include "./test_suite.h"
#include "./test_socketclient.h"

namespace hw2 {

TEST_F(Test_SocketClient, TESTSocketClientSimple) {
  // Try seeing if we can open a socket to www.cs.washington.edu port 80.
  // This isn't an exhaustive test by any means, but it does exercise
  // both ConnectToServer(), and as a consequence, DNSLookup as well.
  int fd = ConnectToServer("www.cs.washington.edu", 80);
  ASSERT_LE(0, fd);
  close(fd);
  HW2Addpoints(10);

  // Verify that connecting to a bogus port fails.
  fd = ConnectToServer("www.cs.washington.edu", 8482);
  ASSERT_GT(0, fd);
  HW2Addpoints(5);
}

}  // namespace hw2
